---
dropbear_luks_required_packages:
  - "dropbear-initramfs"
  - "cryptsetup-initramfs"

dropbear_initramfs_config_path: "/etc/dropbear-initramfs/config"
dropbear_initramfs_authorized_keys_path: "/etc/dropbear-initramfs/authorized_keys"
initramfs_tools_config_path: "/etc/initramfs-tools/initramfs.conf"
initramfs_tools_module_config_path: "/etc/initramfs-tools/modules"
initramfs_modules_to_load:
  - "virtio"
  - "virtio_pci"
  - "virtio_net"

dropbear_default_options:
  - "-I 300"  # timeout of 300 seconds
  - "-j"  # no local port forwarding
  - "-k"  # no remote port forwarding
  - "-p {{ dropbear_listen_port }}"  # listen on `dropbear_listen_port`
  - "-s"  # no password login
  - "-c {{ dropbear_run_command }}"  # run `dropbear_run_command` on login
dropbear_run_command: "/bin/cryptroot-unlock"

dropbear_ip_config: ~
dropbear_listen_port: 22

dropbear_authorized_keys: []
